Guid.GUID.ByReference (JNA API)

com.sun.jna.platform.win32

## Class Guid.GUID.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Guid.GUID
    - - com.sun.jna.platform.win32.Guid.GUID.ByReference

- All Implemented Interfaces:
    Structure.ByReference
  Enclosing class:
    Guid.GUID

      public static class Guid.GUID.ByReference
      extends Guid.GUID
      implements Structure.ByReference

  The Class ByReference.
  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Guid.GUID

      `Guid.GUID.ByReference, Guid.GUID.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.Guid.GUID

      `Data1, Data2, Data3, Data4, FIELDS`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()` Instantiates a new by reference.
    `ByReference(Guid.GUID guid)` Instantiates a new by reference.
    `ByReference(Pointer memory)` Instantiates a new by reference.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.Guid.GUID

      `equals, fromBinary, fromString, getFieldOrder, hashCode, newGuid, toByteArray, toGuidString, writeFieldsToMemory`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

      Instantiates a new by reference.

    - #### ByReference

          public ByReference(Guid.GUID guid)

      Instantiates a new by reference.
      Parameters:
        `guid` - the guid

    - #### ByReference

          public ByReference(Pointer memory)

      Instantiates a new by reference.
      Parameters:
        `memory` - the memory

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.